logo       
Google Custom Search
    AddThis Social Bookmark Button
-->

darcs patch: add new test that triggers bug in refactoring.: msg#00026

Subject: darcs patch: add new test that triggers bug in refactoring.
Here's a test that was failed by my former buggy version of the
refactoring...

David

Fri Aug  4 06:38:30 EDT 2006  David Roundy <droundy@xxxxxxxxx>
  * add new test that triggers bug in refactoring.

New patches:

[add new test that triggers bug in refactoring.
David Roundy <droundy@xxxxxxxxx>**20060804103830] {
addfile ./tests/pull_conflict.sh
move ./tests/pull_conflict.sh ./tests/pull_two.sh
hunk ./tests/pull_two.sh 1
+#!/bin/sh
+
+# This test script, originally written by David Roundy is in the public
+# domain.
+
+set -ev
+
+test $DARCS || DARCS=$PWD/../darcs
+ACTUAL_DARCS=`which $DARCS`
+DARCSPATH=`dirname $ACTUAL_DARCS`
+export PATH="$DARCSPATH:$PATH"
+
+rm -rf temp1 temp2
+
+mkdir temp1
+cd temp1
+echo foo > bar
+$DARCS initialize
+$DARCS add bar
+$DARCS record -a -m addbar
+
+cd ..
+$DARCS get temp1 temp2
+cd temp1
+date > bar
+$DARCS record -a -m datebar
+
+cd ../temp1
+echo aack >> bar
+$DARCS record -a -m aackbar
+
+cd ../temp2
+
+$DARCS pull -av
+$DARCS check
+
+cd ..
+rm -rf temp1 temp2
}

Context:

[Minor tweaks to list_authors.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060720180602] 
[add some changelog entries
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060718152611] 
[add some changelog entries
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060616150558] 
[Added elc and pyc to binaries.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060713184214] 
[Run ssh/scp/sftp quietly.
Eric Kow <eric.kow@xxxxxxxxx>**20060707025245
 
 This is useful for silencing Putty, and could also be for OpenSSH should
 we decide to stop redirecting to /dev/null.
 
] 
[Refactor calls to ssh/scp/sftp.
Eric Kow <eric.kow@xxxxxxxxx>**20060706202509
 
] 
[Added up links in web interface.
Peter Stuifzand <peter@xxxxxxxxxxxxx>**20060610082238
 Added a link to the 'projects' part of the cgi repository interface, so that
 you go back to the project list.
] 
[Merge makefile targets test_perl and test_shell into test_scripts.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060607223134
 This should keep parallel make from breaking.
] 
[bump version to 1.0.8pre1
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060522122655] 
[Add a test suite for calling external programs.
Eric Kow <eric.kow@xxxxxxxxx>**20060521045407
 
 For now this only includes a test for ssh (issue171).
 
] 
[Add warning to Eric's SSHControlMaster rework.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060528194136] 
[Only launch SSH control master on demand (fixes issue171)
Eric Kow <eric.kow@xxxxxxxxx>**20060528093000
 
 A secondary benefit is that this encapsulates the use of the control
 master functionality and consequently simplifies calling ssh.  There is
 no need to deal with the details of launching or exiting the control
 master.
 
] 
[Fail with a sensible message when there is no default repository to pull from.
lele@xxxxxxxxxxxxxxxxxxx**20060515135042] 
[Extend test suite for patch matching.
Eric Kow <eric.kow@xxxxxxxxx>**20060513192501
 
] 
[Implement help --match (issue91).
Eric Kow <eric.kow@xxxxxxxxx>**20060513185610
 
 Also, refactor matching code in a way that encourages developers
 to document for help --match any new matchers they create.
 
] 
[Replace dateparser.sh with more general match.pl for testing --match.
Eric Kow <eric.kow@xxxxxxxxx>**20060513104942
 
] 
[Add tests for pristine error and quiet mode when removing a directory.
Eric Kow <eric.kow@xxxxxxxxx>**20060513100021] 
[Suppress non-empty dir warning if Quiet.
Eric Kow <eric.kow@xxxxxxxxx>**20060513053456] 
[Replace test rmdir.sh with rmdir.pl.
Eric Kow <eric.kow@xxxxxxxxx>**20060513043823] 
[TAG 1.0.7
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060513171438] 
[make 1.0.7 latest stable source on web page
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060513000703] 
[add some entries to the change log
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060512235752] 
[bump version to 1.0.7
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060512235738] 
[TAG 1.0.7rc1
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060508101408] 
[bump version to 1.0.7rc1
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060508101349] 
[fix error is is_pipe test in error reporting. (fixes Issue160)
David Roundy <droundy@xxxxxxxxx>**20060501142114
 The trouble was that Ian (quite naturally) assumed that my C function
 stdout_is_a_pipe returned nonzero for true, whereas for some very, very
 backwards reason it returned zero for true, and its result was properly
 interpreted.  So I caused this bug by my (unexplained) backwards
 programming, but it was introduced when Ian refactored the C code.  :(
] 
[Add forgotten file umask.h.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060423174844] 
[Add --umask to all commands that write to the current repository.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060407195655] 
[Add option --umask.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060407194552] 
[Actually switch umasks in withRepoLock.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060407194202] 
[Implement withUMask.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060407193312] 
[Add umask.c.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060407193255] 
[Propagate opts to withRepoLock.
Juliusz Chroboczek <jch@xxxxxxxxxxxxxx>**20060325190622] 
[Test pull.pl, CREATE_DIR_ERROR: removed TODO now that directory name is 
printed in error message
Marnix Klooster <marnix.klooster@xxxxxxxxx>**20060304164033
 Also removes a superfluous (and erroneous) chdir statement, which tried to
 change to non-existing directory templ (last character was ell instead of one).
 
 Also improves the description of this test.
] 
[TAG 1.0.7pre1
Tommy Pettersson <ptp@xxxxxxxxxxxxxx>**20060427095905] 
Patch bundle hash:
7dff007aa362039cb0935b30f686ddd365f11989
_______________________________________________
darcs-devel mailing list
darcs-devel@xxxxxxxxx
http://www.abridgegame.org/cgi-bin/mailman/listinfo/darcs-devel
<Prev in Thread] Current Thread [Next in Thread>